%define upstream_name    MooseX-Types-XMLSchema
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    XMLSchema compatible Moose types library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Duration)
BuildRequires: perl(DateTime::TimeZone)
BuildRequires: perl(Encode)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::BigFloat)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Pod::Coverage::Moose)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This class provides a number of XMLSchema compatible types for your Moose
classes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc LICENSE INSTALL README META.yml META.json Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-7.mga6
+ Revision: 1030711
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.60.0-6.mga6
+ Revision: 948962
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.60.0-5.mga5
+ Revision: 788734
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 745499
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-3.mga5
+ Revision: 685593
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.60.0-2.mga4
+ Revision: 530334
- Mageia 4 Mass Rebuild

* Mon Jul 22 2013 shlomif <shlomif> 0.60.0-1.mga4
+ Revision: 457294
- imported package perl-MooseX-Types-XMLSchema


* Mon Jul 22 2013 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
